Skip to main content
GET
/
rewards
/
markets
/
{condition_id}
Get raw rewards for a specific market
curl --request GET \
  --url https://clob.polymarket.com/rewards/markets/{condition_id}
{
  "limit": 100,
  "count": 1,
  "next_cursor": "LTE=",
  "data": [
    {
      "condition_id": "0xbd31dc8a20211944f6b70f31557f1001557b59905b7738480ca09bd4532f84af",
      "question": "Will Trump win the 2024 Iowa Caucus?",
      "market_slug": "will-trump-win-the-2024-iowa-caucus",
      "event_slug": "will-trump-win-the-2024-iowa-caucus",
      "image": "https://polymarket-upload.s3.us-east-2.amazonaws.com/trump1+copy.png",
      "rewards_max_spread": 99,
      "rewards_min_size": 10,
      "market_competitiveness": 0.42,
      "tokens": [
        {
          "token_id": "1343197538147866997676250008839231694243646439454152539053893078719042421992",
          "outcome": "YES",
          "price": 0.8
        },
        {
          "token_id": "16678291189211314787145083999015737376658799626183230671758641503291735614088",
          "outcome": "NO",
          "price": 0.2
        }
      ],
      "rewards_config": [
        {
          "id": 1,
          "asset_address": "0x9c4E1703476E875070EE25b56A58B008CFb8FA78",
          "start_date": "2024-03-01",
          "end_date": "2500-12-31",
          "rate_per_day": 0.25,
          "total_rewards": 0,
          "total_days": 174161
        },
        {
          "id": 2,
          "asset_address": "0x9c4E1703476E875070EE25b56A58B008CFb8FA78",
          "start_date": "2024-03-01",
          "end_date": "2024-05-31",
          "rate_per_day": 1,
          "total_rewards": 92,
          "total_days": 92
        }
      ]
    }
  ]
}

Path Parameters

condition_id
string
required

The condition ID of the market

Query Parameters

sponsored
boolean
default:false

If true, folds sponsored daily rates into each config's rate_per_day

next_cursor
string

Pagination cursor from previous response

Response

Successfully retrieved rewards for market

Paginated list of market reward configurations

limit
integer
required

Maximum number of items per page

count
integer
required

Number of items in the current response

next_cursor
string
required

Cursor for the next page. "LTE=" indicates the last page.

data
object[]
required